local path_mod = "__temp20191120__/"

data:extend(
    {
        {
            type = "car",
            name = "advanced-tank",
            localised_name = {"entity-name.advanced-tank"},
            icon = path_mod.."graphics/icons/advanced-tank.png",
            icon_size = 32,
            flags = {"placeable-neutral", "player-creation", "placeable-off-grid", "not-flammable"},
            minable = {mining_time = 0.5, result = "advanced-tank"},
            mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg"},
            max_health = 3000,
            corpse = "tank-remnants",
            dying_explosion = "medium-explosion",
            alert_icon_shift = util.by_pixel(-4, -13),
            has_belt_immunity = true,
            immune_to_tree_impacts = true,
            immune_to_rock_impacts = true,
            energy_per_hit_point = 0.5,
            resistances =
            {
                {
                    type = "fire",
                    decrease = 20,
                    percent = 80
                },
                {
                    type = "physical",
                    decrease = 20,
                    percent = 80
                },
                {
                    type = "impact",
                    decrease = 100,
                    percent = 80
                },
                {
                    type = "explosion",
                    decrease = 20,
                    percent = 80
                },
                {
                    type = "acid",
                    decrease = 0,
                    percent = 80
                }
            },
            collision_box = {{-0.9, -1.3}, {0.9, 1.3}},
            selection_box = {{-0.9, -1.3}, {0.9, 1.3}},
            drawing_box = {{-1.8, -1.8}, {1.8, 1.5}},
            effectivity = 1.0,
            braking_power = "4MW",
            burner =
            {
                fuel_category = "nuclear",
                effectivity = 1.0,
                fuel_inventory_size = 4
            },
            consumption = "8MW",
            terrain_friction_modifier = 0.2,
            friction = 0.002,
            light =
            {
                {
                    type = "basic",
                    intensity = 0.8,
                    size = 10.0,
                    shift = {0.0, 0.0},
                    color = {r = 0.0, g = 1.0, b = 0.0}
                },
                {
                    type = "oriented",
                    minimum_darkness = 0.3,
                    picture =
                    {
                        filename = "__core__/graphics/light-cone.png",
                        priority = "extra-high",
                        flags = { "light" },
                        scale = 2,
                        width = 200,
                        height = 200
                    },
                    shift = {0.0, -100.0},
                    size = 25.0,
                    intensity = 0.9,
                    color = {r = 0.9, g = 1.0, b = 1.0}
                },
            },
            animation =
            {
                layers =
                {
                    {
                        priority = "low",
                        width = 135,
                        height = 106,
                        frame_count = 2,
                        direction_count = 64,
                        shift = util.by_pixel(-4.5, -10),
                        animation_speed = 8,
                        max_advance = 1,
                        stripes =
                        {
                            {
                                filename = "__base__/graphics/entity/tank/tank-base-1.png",
                                width_in_frames = 2,
                                height_in_frames = 16
                            },
                            {
                                filename = "__base__/graphics/entity/tank/tank-base-2.png",
                                width_in_frames = 2,
                                height_in_frames = 16
                            },
                            {
                                filename = "__base__/graphics/entity/tank/tank-base-3.png",
                                width_in_frames = 2,
                                height_in_frames = 16
                            },
                            {
                                filename = "__base__/graphics/entity/tank/tank-base-4.png",
                                width_in_frames = 2,
                                height_in_frames = 16
                            }
                        },
                        hr_version =
                        {
                            priority = "low",
                            width = 269,
                            height = 212,
                            frame_count = 2,
                            direction_count = 64,
                            shift = util.by_pixel(-4.75, -10),
                            animation_speed = 8,
                            max_advance = 1,
                            stripes =
                            {
                                {
                                    filename = "__base__/graphics/entity/tank/hr-tank-base-1.png",
                                    width_in_frames = 2,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/hr-tank-base-2.png",
                                    width_in_frames = 2,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/hr-tank-base-3.png",
                                    width_in_frames = 2,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/hr-tank-base-4.png",
                                    width_in_frames = 2,
                                    height_in_frames = 16
                                }
                            },
                            scale = 0.5
                        }
                    },
                    {
                        priority = "low",
                        width = 104,
                        height = 84,
                        frame_count = 2,
                        apply_runtime_tint = true,
                        direction_count = 64,
                        shift = util.by_pixel(-5, -21),
                        max_advance = 1,
                        line_length = 2,
                        stripes = util.multiplystripes(
                            2,
                            {
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-mask-1.png",
                                    width_in_frames = 1,
                                    height_in_frames = 22
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-mask-2.png",
                                    width_in_frames = 1,
                                    height_in_frames = 22
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-mask-3.png",
                                    width_in_frames = 1,
                                    height_in_frames = 20
                                }
                            }
                        ),
                        hr_version =
                        {
                            priority = "low",
                            width = 207,
                            height = 166,
                            frame_count = 2,
                            apply_runtime_tint = true,
                            direction_count = 64,
                            shift = util.by_pixel(-4.75, -21),
                            max_advance = 1,
                            line_length = 2,
                            stripes = util.multiplystripes(
                                2,
                                {
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-mask-1.png",
                                        width_in_frames = 1,
                                        height_in_frames = 22
                                    },
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-mask-2.png",
                                        width_in_frames = 1,
                                        height_in_frames = 22
                                    },
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-mask-3.png",
                                        width_in_frames = 1,
                                        height_in_frames = 20
                                    }
                                }
                            ),
                            scale = 0.5
                        }
                    },
                    {
                        priority = "low",
                        width = 151,
                        height = 98,
                        frame_count = 2,
                        draw_as_shadow = true,
                        direction_count = 64,
                        shift = util.by_pixel(17.5, 7),
                        max_advance = 1,
                        stripes = util.multiplystripes(
                            2,
                            {
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-shadow-1.png",
                                    width_in_frames = 1,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-shadow-2.png",
                                    width_in_frames = 1,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-shadow-3.png",
                                    width_in_frames = 1,
                                    height_in_frames = 16
                                },
                                {
                                    filename = "__base__/graphics/entity/tank/tank-base-shadow-4.png",
                                    width_in_frames = 1,
                                    height_in_frames = 16
                                }
                            }
                        ),
                        hr_version =
                        {
                            priority = "low",
                            width = 301,
                            height = 194,
                            frame_count = 2,
                            draw_as_shadow = true,
                            direction_count = 64,
                            shift = util.by_pixel(17.75, 7),
                            max_advance = 1,
                            stripes = util.multiplystripes
                            (
                                2,
                                {
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-shadow-1.png",
                                        width_in_frames = 1,
                                        height_in_frames = 16
                                    },
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-shadow-2.png",
                                        width_in_frames = 1,
                                        height_in_frames = 16
                                    },
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-shadow-3.png",
                                        width_in_frames = 1,
                                        height_in_frames = 16
                                    },
                                    {
                                        filename = "__base__/graphics/entity/tank/hr-tank-base-shadow-4.png",
                                        width_in_frames = 1,
                                        height_in_frames = 16
                                    }
                                }
                            ),
                            scale = 0.5
                        }
                    }
                }
            },
            turret_animation =
            {
                layers =
                {
                    {
                        filename = "__base__/graphics/entity/tank/tank-turret.png",
                        priority = "low",
                        line_length = 8,
                        width = 90,
                        height = 67,
                        frame_count = 1,
                        direction_count = 64,
                        shift = util.by_pixel(-5, -34.5),
                        animation_speed = 8,
                        hr_version =
                        {
                            filename = "__base__/graphics/entity/tank/hr-tank-turret.png",
                            priority = "low",
                            line_length = 8,
                            width = 179,
                            height = 132,
                            frame_count = 1,
                            direction_count = 64,
                            shift = util.by_pixel(-4.75, -34.5),
                            animation_speed = 8,
                            scale = 0.5
                        }
                    },
                    {
                        filename = "__base__/graphics/entity/tank/tank-turret-mask.png",
                        priority = "low",
                        line_length = 8,
                        width = 36,
                        height = 33,
                        frame_count = 1,
                        apply_runtime_tint = true,
                        direction_count = 64,
                        shift = util.by_pixel(-5, -35.5),
                        hr_version =
                        {
                            filename = "__base__/graphics/entity/tank/hr-tank-turret-mask.png",
                            priority = "low",
                            line_length = 8,
                            width = 72,
                            height = 66,
                            frame_count = 1,
                            apply_runtime_tint = true,
                            direction_count = 64,
                            shift = util.by_pixel(-5, -35.5),
                            scale = 0.5
                        }
                    },
                    {
                        filename = "__base__/graphics/entity/tank/tank-turret-shadow.png",
                        priority = "low",
                        line_length = 8,
                        width = 97,
                        height = 67,
                        frame_count = 1,
                        draw_as_shadow = true,
                        direction_count = 64,
                        shift = util.by_pixel(51.5, 6.5),
                        hr_version =
                        {
                            filename = "__base__/graphics/entity/tank/hr-tank-turret-shadow.png",
                            priority = "low",
                            line_length = 8,
                            width = 193,
                            height = 134,
                            frame_count = 1,
                            draw_as_shadow = true,
                            direction_count = 64,
                            shift = util.by_pixel(51.25, 6.5),
                            scale = 0.5
                        }
                    }
                }
            },
            turret_rotation_speed = 1.5 / 60,
            turret_return_timeout = 200,
            sound_no_fuel =
            {
                {
                    filename = "__base__/sound/fight/tank-no-fuel-1.ogg",
                    volume = 0.6
                }
            },
            sound_minimum_speed = 0.15;
            vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
            working_sound =
            {
                sound =
                {
                    filename = "__base__/sound/fight/tank-engine.ogg",
                    volume = 0.6
                },
                activate_sound =
                {
                    filename = "__base__/sound/fight/tank-engine-start.ogg",
                    volume = 0.6
                },
                deactivate_sound =
                {
                    filename = "__base__/sound/fight/tank-engine-stop.ogg",
                    volume = 0.6
                },
                match_speed_to_activity = true
            },
            open_sound = { filename = "__base__/sound/car-door-open.ogg", volume = 0.7 },
            close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
            rotation_speed = 0.01,
            tank_driving = true,
            weight = 30000,
            inventory_size = 200,
            equipment_grid = "super-equipment-grid",
            guns = {"athena-cannon", "tank-rocket-launcher"}
        },
        {
            type = "item-with-entity-data",
            name = "advanced-tank",
            localised_name = {"entity-name.advanced-tank"},
            icon = path_mod.."graphics/icons/advanced-tank.png",
            icon_size = 32,
            subgroup = "transport",
            order = "b[personal-transport]-c[advanced-tank]",
            place_result = "advanced-tank",
            stack_size = 1
        },
        {
            type = "gun",
            name = "tank-rocket-launcher",
            localised_name = {"item-name.tank-rocket-launcher"},
            icon = path_mod.."graphics/icons/tank-rocket-launcher.png",
            icon_size = 32,
            subgroup = "gun",
            order = "d[tank-rocket-launcher]",
            attack_parameters =
            {
                type = "projectile",
                ammo_category = "rocket",
                damage_modifier = 2.0,
                movement_slow_down_factor = 0.0,
                movement_slow_down_cooldown = 60,
                cooldown = 30,
                projectile_creation_distance = 1.6,
                projectile_center = {-0.15625, -0.07812},
                range = 80,
                sound =
                {
                    {
                        filename = "__base__/sound/fight/rocket-launcher.ogg",
                        volume = 0.7
                    }
                }
            },
            stack_size = 5
        }
    }
)
