if stdlib == nil then stdlib = {} end
if stdlib.event == nil then stdlib.event = {} end
if stdlib.event.event == nil then stdlib.event.event = require("__stdlib__/stdlib/event/event") end

local athena_ammo_names = {
    "athena"
}

local athena_ammos
local entity_event_handlers

local function make_on_trigger_created_entity_helper_particle_1(name)
    return function(evt)
        game.player.print("on_trigger_created_entity "..evt.entity.name)
    end
end

stdlib.event.event.on_init(
    function()
        athena_ammos = {}
        global.athena_ammos = athena_ammos
        entity_event_handlers = {}
        global.entity_event_handlers = entity_event_handlers
        for _, v in ipairs(athena_ammo_names) do
            athena_ammos[v] = {
                name = v,
                helper_particle_1 = game.entity_prototypes[v]
            }
            entity_event_handlers[v.."-helper-particle-1"] = {
                on_trigger_created_entity = make_on_trigger_created_entity_helper_particle_1(v)
            }
        end
    end
)

stdlib.event.event.on_load(
    function()
        athena_ammos = global.athena_ammos
        entity_event_handlers = global.entity_event_handlers
    end
)

stdlib.event.event.on_configuration_changed(
    function()
        athena_ammos = {}
        global.athena_ammos = athena_ammos
        entity_event_handlers = {}
        global.entity_event_handlers = entity_event_handlers
        for _, v in ipairs(athena_ammo_names) do
            athena_ammos[v] = {
                name = v,
                helper_particle_1 = game.entity_prototypes[v]
            }
            entity_event_handlers[v.."-helper-particle-1"] = {
                on_trigger_created_entity = make_on_trigger_created_entity_helper_particle_1(v)
            }
        end
    end
)

stdlib.event.event.on_event(
    defines.events.on_trigger_created_entity,
    function(evt)
        return entity_event_handlers[evt.entity.name].on_trigger_created_entity(evt)
    end,
    function(evt)
        return entity_event_handlers[evt.entity.name] ~= nil and entity_event_handlers[evt.entity.name].on_trigger_created_entity
    end
)
